return function(self, onNext, thisNotAllowed)

    if thisNotAllowed ~= nil then
        error("Rx.Observable:subscribeOnNext: this parameter not supported in RxLua", 2)
    end

    return self:subscribe(onNext)

end
